<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 28/02/20
 * Time: 15.10
 */
namespace FiloBlu\Rma\Tax\Block\Sales\Order;
use Magento\Quote\Model\QuoteRepository;

class Tax extends \Magento\Tax\Block\Sales\Order\Tax
{
    /**
     * @var QuoteRepository
     */
    private $quoteRepository;

    /**
     * Tax constructor.
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param \Magento\Tax\Model\Config $taxConfig
     * @param QuoteRepository $quoteRepository
     * @param array $data
     */
    public function __construct(\Magento\Framework\View\Element\Template\Context $context,
                                \Magento\Tax\Model\Config $taxConfig,
                                QuoteRepository $quoteRepository,
                                array $data = [])
    {
        parent::__construct($context, $taxConfig, $data);
        $this->quoteRepository = $quoteRepository;
    }


    /**
     * @return mixed
     */
    public function getTaxAmount(){
        try{
            $order = $this->getOrder();
            if($order->getQuoteId() && $order->getPayment()->getMethod()==\FiloBlu\Rma\Model\Payment\ChangeSizePay::PAYMENT_CODE){
               //$quote = $this->quoteRepository->get($order->getQuoteId());
               //$quoteItems = $quote->getItems();
                $tax = 0;
               foreach ($order->getItems() as $item){
                   $tax += (float)$item->getTaxAmount();
               }
               return $tax;
            }else{
                return $this->getSource()->getTaxAmount();
            }

        }catch (\Exception $e){
            $this->_logger->critical($e->getMessage());
            return $this->getSource()->getTaxAmount();
        }
    }


}